waf: Utils package not defined
authorSwen Schillig <swen@linux.ibm.com>
Mon, 26 Nov 2018 19:14:21 +0000 (20:14 +0100)
committerAlexander Bokovoy <ab@samba.org>
Tue, 4 Dec 2018 17:45:38 +0000 (18:45 +0100)
Fix the package name for the WafError routine.

Signed-off-by: Swen Schillig <swen@linux.ibm.com>
Reviewed-by: Stefan Metzmacher <metze@samba.org>
Reviewed-by: Alexander Bokovoy <ab@samba.org>
Autobuild-User(master): Alexander Bokovoy <ab@samba.org>
Autobuild-Date(master): Tue Dec  4 18:45:38 CET 2018 on sn-devel-144

third_party/aesni-intel/wscript
third_party/wscript
wscript

index bb87445..955b516 100644 (file)
@@ -1,6 +1,6 @@
 #!/usr/bin/env python
 from waflib import Options
-from waflib import Utils
+from waflib import Errors
 
 def configure(conf):
     if Options.options.accel_aes.lower() == "intelaesni":
@@ -14,11 +14,11 @@ def configure(conf):
                 print("Compiling with Intel AES instructions")
                 conf.DEFINE('HAVE_AESNI_INTEL', 1)
             else:
-                raise Utils.WafError('--accel-aes=intelaesni selected and non x86_64 CPU')
+                raise Errors.WafError('--accel-aes=intelaesni selected and non x86_64 CPU')
         else:
-            raise Utils.WafError('--aes-accel=intelaesni selected and compiler rejects ' + str(asm_flags))
+            raise Errors.WafError('--aes-accel=intelaesni selected and compiler rejects ' + str(asm_flags))
         if not conf.CHECK_LDFLAGS('-Wl,-z,noexecstack'):
-            raise Utils.WafError('--accel-aes=intelaesni selected and linker rejects -z noexecstack')
+            raise Errors.WafError('--accel-aes=intelaesni selected and linker rejects -z noexecstack')
 
 def build(bld):
     if not bld.CONFIG_SET('HAVE_AESNI_INTEL'):
index c4744b7..f7a6daf 100644 (file)
@@ -3,7 +3,7 @@
 import os
 import sys
 import samba_git
-from waflib import Options, Utils
+from waflib import Options, Errors
 
 # work out what python external libraries we need to install
 external_pkgs = {
@@ -29,12 +29,12 @@ def find_third_party_module(conf, module, package):
             __import__(module)
         except ImportError:
             if samba_git.has_submodules(conf.srcnode.abspath()):
-                raise Utils.WafError("""\
+                raise Errors.WafError("""\
 Unable to find Python module '%s'. Please install the system package or check \
 out the relevant submodule by running 'git submodule update --init'.
 """ % module)
             else:
-                raise Utils.WafError("""\
+                raise Errors.WafError("""\
 Unable to find Python module '%s'. Please install the system package or place a copy in
 %s.
 """ % (module, package))
diff --git a/wscript b/wscript
index c06a2e3..da4254e 100644 (file)
--- a/wscript
+++ b/wscript
@@ -237,11 +237,11 @@ def configure(conf):
 
     if Options.options.with_system_heimdalkrb5:
         if Options.options.with_system_mitkrb5:
-            raise Utils.WafError('--with-system-heimdalkrb5 conflicts with ' +
-                                 '--with-system-mitkrb5')
+            raise Errors.WafError('--with-system-heimdalkrb5 conflicts with ' +
+                                  '--with-system-mitkrb5')
         if not Options.options.without_ad_dc:
-            raise Utils.WafError('--with-system-heimdalkrb5 requires ' +
-                                 '--without-ad-dc')
+            raise Errors.WafError('--with-system-heimdalkrb5 requires ' +
+                                  '--without-ad-dc')
         conf.env.SYSTEM_LIBS += ('heimdal', 'asn1', 'com_err', 'roken',
                                  'hx509', 'wind', 'gssapi', 'hcrypto',
                                  'krb5', 'heimbase', 'asn1_compile',